Update Lead: AppFolio
https://api.propexo.com/v1/leads/appfolio/:lead_id| Method | Interface |
|---|---|
| PATCH /v0/leads | Leads |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the employee
An array of the Propexo unit IDs that the lead is interested in
Possible values: <= 25
The Propexo unique identifier for the unit. If desired_unit_ids is not provided, this will be used as the unit ID. This is inteded to help unify the request payload across all PMSs
The first name associated with the lead
The last name associated with the lead
The number of additional occupants associated with the lead
Possible values: >= 0
The desired number of bathrooms
The desired number of bedrooms
Possible values: >= 0
The credit score of the lead
The target move in date associated with the lead
Show 2 variants
The primary email address associated with the lead
Whether or not the lead has cats
Whether or not the lead has dogs
Whether or not the lead has pets that aren't dogs or cats
The maximum rent cost the lead is looking to pay, in cents
Possible values: >= 0
The monthly income of the lead, in cents
Possible values: >= 0
The middle initial of the lead
Possible values: non-empty and <= 1 characters
Primary phone number associated with the lead
The name of the source of the lead
The status associated with the lead
Show 4 enum values
ACTIVECOLDINACTIVEWAITLISTEDThe reason the lead is inactive
Show 10 enum values
PRICELOCATIONAMENITIESNO_REASONDECIDED_NOT_TO_MOVELEASING_CRITERIA_NOT_METLOOKING_FOR_MOVE_IN_SPECIALNO_AVAILABILITYDUPLICATEOTHERDeprecated. Use target_move_in_date instead.
Show 2 variants
Deprecated. Use desired_num_bathrooms instead.
Deprecated. Use desired_num_bedrooms instead.
Possible values: >= 0
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The Propexo unique identifier for the employee
The Propexo unique identifier for the unit. If desired_unit_ids is not provided, this will be used as the unit ID. This is inteded to help unify the request payload across all PMSs
The first name associated with the lead
The last name associated with the lead
The number of additional occupants associated with the lead
Possible values: >= 0
The desired number of bathrooms
The desired number of bedrooms
Possible values: >= 0
The credit score of the lead
The target move in date associated with the lead
Show 2 variants
The primary email address associated with the lead
Whether or not the lead has cats
Whether or not the lead has dogs
Whether or not the lead has pets that aren't dogs or cats
The maximum rent cost the lead is looking to pay, in cents
Possible values: >= 0
The monthly income of the lead, in cents
Possible values: >= 0
The middle initial of the lead
Possible values: non-empty and <= 1 characters
Primary phone number associated with the lead
The name of the source of the lead
The status associated with the lead
Show 4 enum values
ACTIVECOLDINACTIVEWAITLISTEDThe reason the lead is inactive
Show 10 enum values
PRICELOCATIONAMENITIESNO_REASONDECIDED_NOT_TO_MOVELEASING_CRITERIA_NOT_METLOOKING_FOR_MOVE_IN_SPECIALNO_AVAILABILITYDUPLICATEOTHERDeprecated. Use target_move_in_date instead.
Show 2 variants
Deprecated. Use desired_num_bathrooms instead.
Deprecated. Use desired_num_bedrooms instead.
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/appfolio/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"employee_id": "string",
"desired_unit_ids": [
"string"
],
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"number_of_additional_occupants": 0,
"desired_num_bathrooms": "string",
"desired_num_bedrooms": 0,
"credit_score": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"has_cats": true,
"has_dogs": true,
"has_other_pets": true,
"desired_max_rent_in_cents": 0,
"monthly_income_in_cents": 0,
"middle_initial": "string",
"phone_1": "string",
"lead_source": "string",
"status": "ACTIVE",
"inactive_reason": "PRICE"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"employee_id": "string",
"desired_unit_ids": [
"string"
],
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"number_of_additional_occupants": 0,
"desired_num_bathrooms": "string",
"desired_num_bedrooms": 0,
"credit_score": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"has_cats": true,
"has_dogs": true,
"has_other_pets": true,
"desired_max_rent_in_cents": 0,
"monthly_income_in_cents": 0,
"middle_initial": "string",
"phone_1": "string",
"lead_source": "string",
"status": "ACTIVE",
"inactive_reason": "PRICE"
}
}